Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class BranchData3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.BranchData3

    public class BranchData3
    extends java.lang.Object

Java class for BranchData3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BranchData3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max35Text" minOccurs="0"/>
             <element name="LEI" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}LEIIdentifier" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max140Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}PostalAddress24" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `id`
`protected java.lang.String` `lei`
`protected java.lang.String` `nm`
`protected PostalAddress24` `pstlAdr`

### Constructor Summary

Constructors
`BranchData3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getId()` Gets the value of the id property.
`java.lang.String` `getLEI()` Gets the value of the lei property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`PostalAddress24` `getPstlAdr()` Gets the value of the pstlAdr property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setLEI​(java.lang.String value)` Sets the value of the lei property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setPstlAdr​(PostalAddress24 value)` Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.lang.String id

#### lei

    protected java.lang.String lei

#### nm

    protected java.lang.String nm

#### pstlAdr

    protected PostalAddress24 pstlAdr

### Constructor Detail

#### BranchData3

    public BranchData3()

### Method Detail

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getLEI

    public java.lang.String getLEI()

Gets the value of the lei property.

Returns:
  possible object is `String`

#### setLEI

    public void setLEI​(java.lang.String value)

Sets the value of the lei property.

Parameters:
  `value` - allowed object is `String`

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getPstlAdr

    public PostalAddress24 getPstlAdr()

Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress24`

#### setPstlAdr

    public void setPstlAdr​(PostalAddress24 value)

Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress24`